summaryrefslogtreecommitdiffstats
path: root/src/vnf/virtio-user-ping/build_vpp.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/vnf/virtio-user-ping/build_vpp.sh')
-rwxr-xr-xsrc/vnf/virtio-user-ping/build_vpp.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/src/vnf/virtio-user-ping/build_vpp.sh b/src/vnf/virtio-user-ping/build_vpp.sh
new file mode 100755
index 0000000..9404bb1
--- /dev/null
+++ b/src/vnf/virtio-user-ping/build_vpp.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+sudo apt-get update
+sudo apt-get -y install sudo apt-transport-https devscripts git wget vim net-tools
+cd /root
+git clone https://gerrit.fd.io/r/vpp
+cd vpp
+git checkout stable/1707
+cp ../01-add-single-file.patch dpdk/dpdk-17.05_patches
+cp ../02-fix-nohuge-option.patch dpdk/dpdk-17.05_patches
+patch -p1 < ../virtio-user.patch
+make UNATTENDED=yes install-dep || true
+make bootstrap
+make build; find . -type f | grep "install.*bin" | xargs -I {} cp {} /usr/bin/